> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Predibase

> Use Predibase's open-source and fine-tuned LLMs through Prisma AIRS AI Gateway.

## Quick Start

Get started with Predibase in under 2 minutes:

```sh cURL icon="square-terminal" theme={"system"}
# 1. Add @predibase provider in model catalog
# 2. Use it:

curl https://aigw.portkey.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $PORTKEY_API_KEY" \
  -d '{
    "model": "@predibase/llama-3-8b-instruct",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
```

```python OpenAI Py icon="python" theme={"system"}
from openai import OpenAI

# 1. Install: pip install openai
# 2. Add @predibase provider in model catalog
# 3. Use it:

client = OpenAI(
    api_key="PORTKEY_API_KEY",  # AI Gateway API key
    base_url="https://aigw.portkey.ai/v1"
)

response = client.chat.completions.create(
    model="@predibase/llama-3-8b-instruct",
    messages=[{"role": "user", "content": "Hello!"}]
)

print(response.choices[0].message.content)
```

```js OpenAI JS icon="square-js" theme={"system"}
import OpenAI from "openai"

// 1. Install: npm install openai
// 2. Add @predibase provider in model catalog
// 3. Use it:

const client = new OpenAI({
    apiKey: "PORTKEY_API_KEY",  // AI Gateway API key
    baseURL: "https://aigw.portkey.ai/v1"
})

const response = await client.chat.completions.create({
    model: "@predibase/llama-3-8b-instruct",
    messages: [{ role: "user", content: "Hello!" }]
})

console.log(response.choices[0].message.content)
```

## Add Provider in Model Catalog

Before making requests, add Predibase to your Model Catalog:

1. Go to [**Model Catalog → Add Provider**](https://stratacloudmanager.paloaltonetworks.com/)
2. Select **Predibase**
3. Enter your [Predibase API key](https://app.predibase.com/settings)
4. Name your provider (e.g., `predibase`)

> **[Complete Setup Guide](https://docs.portkey.ai/docs/aigw/product/model-catalog.md)**
>
> See all setup options and detailed configuration instructions

***

## Predibase Capabilities

### Serverless Endpoints

Predibase offers LLMs like **Llama 3**, **Mistral**, **Gemma**, etc. on its [serverless infrastructure](https://docs.predibase.com/user-guide/inference/models#serverless-endpoints) that you can query instantly.

> [!NOTE]
>
> **Sending Predibase Tenant ID**
>
> Predibase expects your **account tenant ID** along with the API key in each request. With the AI Gateway, you can send [**your Tenant ID**](https://app.predibase.com/settings) with the `user` param while making your request.

### Using Fine-Tuned Models

Predibase allows you to deploy and use fine-tuned models with adapters. Use the special format with your model identifier from your Predibase dashboard:

> [!NOTE]
>
> **Fine-Tuned Model Format:**
> `model = base_model:adapter-repo-name/adapter-version-number`
>
> For example: `llama-3-8b:sentiment-analysis/1`

### Dedicated Deployments

Route requests to your dedicated deployed models by passing the deployment name in the `model` parameter:

### JSON Schema Mode

Enforce JSON schema for all Predibase models by setting `response_format` to `json_object` with your schema:

***

## Supported Models

Predibase provides access to various open-source and fine-tuned models:

* Llama 3 (various sizes)
* Mistral
* Zephyr
* Your custom fine-tuned models

Check [Predibase's documentation](https://docs.predibase.com/) for the complete model list and fine-tuning options.

***

## Next Steps

> **[Gateway Configs](https://docs.portkey.ai/docs/aigw/product/ai-gateway.md)**
>
> Add fallbacks, load balancing, and more

> **[Observability](https://docs.portkey.ai/docs/aigw/product/observability.md)**
>
> Monitor and trace your Predibase requests

> **[Fine-Tuning Logs](https://docs.portkey.ai/docs/aigw/product/observability.md)**
>
> Track performance of fine-tuned models


## Related topics

- [Prisma AIRS AI Gateway Models](https://docs.portkey.ai/docs/aigw/product/model-catalog/gateway-models.md)
- [Overview](https://docs.portkey.ai/docs/aigw/integrations/llms.md)
- [Supported Providers](https://docs.portkey.ai/docs/aigw/api-reference/inference-api/supported-providers.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.